Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 603640 - Review Request: python-compositor - A simple OpenType GSUB and GPOS engine
Review Request: python-compositor - A simple OpenType GSUB and GPOS engine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
: i18n
Depends On: 603634
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 04:47 EDT by Parag Nemade
Modified: 2010-07-26 02:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 02:06:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2010-06-14 04:47:37 EDT
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/compositor.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/compositor-0.2b-1.fc13.src.rpm
Description: 
A simple OpenType GSUB and GPOS engine.
Comment 1 Chen Lei 2010-06-14 05:23:08 EDT
It'll be better to rename this package to python-$NAME to match package naming guideline.

See
http://fedoraproject.org/wiki/PackageNamingGuidelines#Addon_Packages_.28python_modules.29
Comment 3 Thomas Spura 2010-07-22 11:13:55 EDT
Review:

Good:
- name ok
- source match upstream: 932993d25d981426de3d0379880e19b4
- no *.la
- no libs
- no locales
- $ rpmlint ./noarch/python-compositor-0.2b-1.fc13.noarch.rpm ./python-compositor-0.2b-1.fc13.src.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
- license ok
- %files ok
- %doc ok



Needswork:
- missing R: fonttools again ;)
- %{version} in url


________________________________________________________________________________

missing fonttools as R is a BLOCKER, rest is SHOULD.
________________________________________________________________________________

APPROVED
Comment 4 Thomas Spura 2010-07-22 11:17:11 EDT
A forgot to add:
Development/Tools would be better for group
Comment 6 Parag Nemade 2010-07-23 01:05:48 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: python-compositor
Short Description: A simple OpenType GSUB and GPOS engine
Owners: pnemade
Branches: F-13 EL-6
InitialCC: i18n-team fonts-sig
Comment 7 Kevin Fenzi 2010-07-23 17:36:04 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Parag Nemade 2010-07-26 02:06:42 EDT
Built in rawhide. awaiting for fonttools in EPEL6 which will allow to build python-robofab and then this package in EPEL6.

Note You need to log in before you can comment on or make changes to this bug.